Lucene search

K
zdiOrangetwZDI-21-822
HistoryJul 19, 2021 - 12:00 a.m.

(Pwn2Own) Microsoft Exchange Server PowerShell Improper Authentication Remote Code Execution Vulnerability

2021-07-1900:00:00
orangetw
www.zerodayinitiative.com
386

EPSS

0.859

Percentile

98.6%

This vulnerability allows remote attackers to execute arbitrary code on affected installations of Microsoft Exchange Server. Although authentication is required to exploit this vulnerability, the existing authentication mechanism can be bypassed. The specific flaw exists within the Powershell service. The issue results from the lack of proper validation of a access token prior to executing the Exchange PowerShell command. An attacker can leverage this in conjunction with other vulnerabilities to execute arbitrary code in the context of SYSTEM.